AR# 39930

12.4 EDK, AXI_Ethernet - ERROR:EDK:1419 - For point-2-point interface connector 'ethernet_dma_rxd'

描述

When upgrading a 12.3 EDK system that contains an AXI Ethernet core, one of the following errors may occur.How do I resolve them?


BUS_STD value of the connection points differ:
IPNAME:axi_ethernet INSTANCE:ETHERNET BUS_INTERFACE:AXI_STR_RXD BUS_STD=AXIS
-
/group/bcapps/dylan/cases/ml605_axi_ethernet/ml605_axi_ethernet_123/system.mh
s line 229
IPNAME:axi_dma INSTANCE:ETHERNET_dma BUS_INTERFACE:S_AXIS_S2MM
BUS_STD=XIL_AXI_STREAM_ETH -
/group/bcapps/dylan/cases/ml605_axi_ethernet/ml605_axi_ethernet_123/system.mh
s line 299
ERROR:EDK:1419 - For point-2-point interface connector 'ethernet_dma_rxs', the
BUS_STD value of the connection points differ:
IPNAME:axi_ethernet INSTANCE:ETHERNET BUS_INTERFACE:AXI_STR_RXS BUS_STD=AXIS
-
/group/bcapps/dylan/cases/ml605_axi_ethernet/ml605_axi_ethernet_123/system.mh
s line 229
IPNAME:axi_dma INSTANCE:ETHERNET_dma BUS_INTERFACE:S_AXIS_STS
BUS_STD=XIL_AXI_STREAM_ETH -
/group/bcapps/dylan/cases/ml605_axi_ethernet/ml605_axi_ethernet_123/system.mh
s line 299
ERROR:EDK:1419 - For point-2-point interface connector 'ethernet_dma_txc', the
BUS_STD value of the connection points differ:
IPNAME:axi_ethernet INSTANCE:ETHERNET BUS_INTERFACE:AXI_STR_TXC BUS_STD=AXIS
-
/group/bcapps/dylan/cases/ml605_axi_ethernet/ml605_axi_ethernet_123/system.mh
s line 229
IPNAME:axi_dma INSTANCE:ETHERNET_dma BUS_INTERFACE:M_AXIS_CNTRL
BUS_STD=XIL_AXI_STREAM_ETH -
/group/bcapps/dylan/cases/ml605_axi_ethernet/ml605_axi_ethernet_123/system.mh
s line 299
ERROR:EDK:1419 - For point-2-point interface connector 'ethernet_dma_txd', the
BUS_STD value of the connection points differ:
IPNAME:axi_ethernet INSTANCE:ETHERNET BUS_INTERFACE:AXI_STR_TXD BUS_STD=AXIS
-
/group/bcapps/dylan/cases/ml605_axi_ethernet/ml605_axi_ethernet_123/system.mh
s line 229
IPNAME:axi_dma INSTANCE:ETHERNET_dma BUS_INTERFACE:M_AXIS_MM2S
BUS_STD=XIL_AXI_STREAM_ETH -
/group/bcapps/dylan/cases/ml605_axi_ethernet/ml605_axi_ethernet_123/system.mh
s line 299
ERROR:EDK:440 - platgen failed with errors!





解决方案

Due to changes in the AXI4-Stream interface type label of the 12.3 AXI_Ethernet and AXI_DMA cores in 12.4, the AXI_DMA will not be upgraded by default to v2.00.a, while the AXI_Ethernet will be automatically upgraded to v1.01.a.  
























AR# 39930
日期 06/08/2020
状态 活跃
Type 一般类
Tools
IP More Less